package com.finebi.plugin.custom.component;

import com.fr.web.struct.AssembleComponent;
import com.fr.web.struct.Atom;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;

public class CustomComponent extends AssembleComponent {
    public static final CustomComponent KEY = new CustomComponent();

    @Override
    public Atom[] refer() {
        return new Atom[0];
    }

    @Override
    public ScriptPath script(RequestClient req) {
        return ScriptPath.build("/com/finebi/plugin/custom/component/demo.js");
    }

    @Override
    public StylePath style(RequestClient req) {
        return StylePath.build("/com/finebi/plugin/custom/component/demo.css", ParserType.DYNAMIC);
    }
}
